.searchInput {
  width: 200px; /* Increase the width of the search input */
  margin-bottom: 10px; /* Space between the search input and button */
}

.searchButton {
  margin-bottom: 10px; /* Space between the search button and food item list */
  width: 100px;
}

.gridList {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 columns with equal width */
  gap: 16px; /* Gap between grid items */
  width: 66.67%; /* 2/3 of the page */
  margin: 0 auto; /* Center align */
}

.foodItemCard {
  background-color: darkseagreen;
}

.mealPlanCard {
  background-color: darkseagreen;
}

.searchContainer {
  display: flex;
  justify-content: center;
  margin: 20px 0;
}

.searchForm {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 300px;
  margin-bottom: 10px;
}

.loading {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.error {
  background-color: lightpink;
  padding: 32px;
}

.cardContainer {
  position: relative;
  display: inline-block;
}

.roundButton {
  position: absolute;
  top: 10px;
  left: 10px;
  width: 20px; /* Increased size for better centering */
  height: 20px; /* Increased size for better centering */
  border-radius: 50%;
  /*background-color: #198754;*/
  background-color: darkgreen;
  color: white;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px; /* Adjusted font size */
  line-height: 1; /* Ensure line height doesn't affect vertical alignment */
  padding: 0; /* No padding to affect centering */
  cursor: pointer;
  z-index: 10;
}


.roundButton:hover {
  background-color: #0056b3;
}

.listGroupItem {
  display: flex;
  justify-content: space-between;
  text-transform: capitalize;
  background-color: linen;
}
